Interface UpdateCryptoKeyVersionRequestOrBuilder

public interface UpdateCryptoKeyVersionRequestOrBuilder extends MessageOrBuilder

Implements

MessageOrBuilder

Methods

getCryptoKeyVersion()

public abstract CryptoKeyVersion getCryptoKeyVersion()

Required. CryptoKeyVersion with updated values.

.google.cloud.kms.v1.CryptoKeyVersion crypto_key_version = 1 [(.google.api.field_behavior) = REQUIRED];

Returns
TypeDescription
CryptoKeyVersion

The cryptoKeyVersion.

getCryptoKeyVersionOrBuilder()

public abstract CryptoKeyVersionOrBuilder getCryptoKeyVersionOrBuilder()

Required. CryptoKeyVersion with updated values.

.google.cloud.kms.v1.CryptoKeyVersion crypto_key_version = 1 [(.google.api.field_behavior) = REQUIRED];

Returns
TypeDescription
CryptoKeyVersionOrBuilder

getUpdateMask()

public abstract FieldMask getUpdateMask()

Required. List of fields to be updated in this request.

.google.protobuf.FieldMask update_mask = 2 [(.google.api.field_behavior) = REQUIRED];

Returns
TypeDescription
FieldMask

The updateMask.

getUpdateMaskOrBuilder()

public abstract FieldMaskOrBuilder getUpdateMaskOrBuilder()

Required. List of fields to be updated in this request.

.google.protobuf.FieldMask update_mask = 2 [(.google.api.field_behavior) = REQUIRED];

Returns
TypeDescription
FieldMaskOrBuilder

hasCryptoKeyVersion()

public abstract boolean hasCryptoKeyVersion()

Required. CryptoKeyVersion with updated values.

.google.cloud.kms.v1.CryptoKeyVersion crypto_key_version = 1 [(.google.api.field_behavior) = REQUIRED];

Returns
TypeDescription
boolean

Whether the cryptoKeyVersion field is set.

hasUpdateMask()

public abstract boolean hasUpdateMask()

Required. List of fields to be updated in this request.

.google.protobuf.FieldMask update_mask = 2 [(.google.api.field_behavior) = REQUIRED];

Returns
TypeDescription
boolean

Whether the updateMask field is set.